Search results

  1. W

    Dovecot 2.3.9.2 has been released *** CVE SECURITY ***

    Looks like it's fixed. Just one minor thing that happens at the end of the compilations: ... /usr/bin/install -c -m 644 imap_filter_sieve.txt imapsieve.txt sieve_extprograms.txt '/usr/share/doc/dovecot/sieve/plugins' Restarting dovecot. Stopping dovecot: [ OK ] Starting dovecot...
  2. W

    Key exchange 'ffdhe3072' or even 'ffdhe4096' instead of own created DH 2048 , 3072 while is not safe enough anymore, and cipher order preference

    It should be done through the config files. I tried just reordering the curves in the past but failed: https://forum.directadmin.com/threads/sslopensslconfcmd-curves-failed-for-domain-443.58609/
  3. W

    Some about MX 0 NULL Record and also parked domains

    What is you just delete the MX so there's not MX record at all? I think that will work.
  4. W

    Minor bug in the old default DA skin

    This happens when user goes to the database management section - there is a missing string for PHPMyAdmin.
  5. W

    ClamAV 0.102.0

    Suddenly today I retried and it built successfully.
  6. W

    Dovecot 2.3.9.2 has been released *** CVE SECURITY ***

    Please apply the patch for the following issue in FreeBSD: https://forum.directadmin.com/threads/dovecot-2-3-9-build-error.59713/
  7. W

    Dovecot 2.3.9 build error

    It works. But now Dovecot 2.3.9.2 has the same issue.
  8. W

    Exim 4.93.0.3 has been released

    I am not 100% sure if my clue here will be absolutely correct - I downgraded too fast and didn't test deeply. My issue was with receiving from a domain which have this SPF record: "v=spf1 mx -all" and two MX records: 10 mail.vionet.gr. 5 mail1.vionet.gr. When sending from one of the IPs (I...
  9. W

    Need Help With Installing & Configuring ModSecurity in DirectAdmin

    edit /usr/local/directadmin/custombuild/options.conf and see the options: modsecurity=no modsecurity_ruleset=comodo Change the first one to "yes" and choose whatever you want the second one to be. Then rebuild.
  10. W

    Exim 4.93 has been released

    There is one more issue on FreeBSD. Now when I built Exim 4.92.3 I got the following error: Exim installation complete Moving exim binary. ./build: cannot create /etc/logrotate.d/exim: No such file or directory ./build: cannot create /etc/logrotate.d/exim: No such file or directory ./build...
  11. W

    snail broken on FreeBSD 12

    Should be fixed now.
  12. W

    Exim 4.93 has been released

    Confirmed SPF issues on FreeBSD 11.3 too. Downgrade fixed the problem.
  13. W

    Exim 4.93 has been released

    On FreeBSD 11.3 I got this issue after building Exim: ... Exim 4.93 Installed. Restarting exim. Shutting down exim: [ OK ] Starting exim: [ OK ] Downloading s-nail-14.9.15.tar.gz... /usr/local/directadmin/custombuild/s-nail-14.9 1011 kB 1348 kBps 01s Found...
  14. W

    Dovecot 2.3.9 build error

    FreeBSD 11.3 here. I get the following error when building Dovecot: ... net.c:1071:5: error: use of undeclared identifier 'EAI_ADDRFAMILY' { EAI_ADDRFAMILY, NET_HOSTERROR_TYPE_NOT_FOUND }, ^ net.c:1077:5: error: use of undeclared identifier 'EAI_NODATA'...
  15. W

    PHP 7.4 PECL?

    P.S. PEAR is considered outdated. It has lots of issues: 1. It install extensions only globally; 2. There is no dependency management; 3. All packages must be "pear reviewed" (the devs of extensions must always wait to be approved before pushing an update). Most of the developers migrated to...
  16. W

    PHP 7.4 PECL?

    In January this year there was a big hack on the pear website (the main installation package was replaced with malicious version with a trojan planted inside). That is not the reason but it triggered a discussion around it. PEAR is not actively maintained and even updates for deprecation...
  17. W

    PHP 7.4 PECL?

    PEAR is disabled by default on PHP 7.4. As "PECL is a repository of PHP extensions that are made available to you via the PEAR packaging system", it also removes the PECL too. To enable PEAR (and PECL) you need to add "--with-pear" in the configure script and recompile PHP 7.4. Here is the...
  18. W

    Need help with opcache

    Do this test: 1. Disable opcache and watch your "top" to see how much MB of RAM each php-fpm process takes 2. Enable it and do the same You will be surprised :)
  19. W

    PHP 7.4 installation error

    Yes, that was it. On FreeBSD you need to have /usr/ports/security/krb5 installed.
  20. W

    PHP 7.4 installation error

    configure: error: Package requirements (krb5-gssapi krb5) were not met: Package 'krb5-gssapi', required by 'virtual:world', not found Package 'krb5', required by 'virtual:world', not found Consider adjusting the PKG_CONFIG_PATH environment variable if you installed software in a non-standard...
Top